package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh_interface.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @Auther jianggang
 * @Date 2018/10/25 15:22:32
 * @Description
 */

@Api(value = "云海通道接口API文档")
@FeignClient(name = "iov-sjjh-servicenode-supplier-10000003")
public interface YHChannelAction {

    @ApiOperation(value = "身份证二要素通道")
    @PostMapping("/checkIdCardForYH.do")
    ChannelTypeHandleResponseObject twoParamIdCard(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) Integer outTime,
            @ApiParam(name = "身份证二要素json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "地理位置校验")
    @PostMapping("/checkLocationForYH.do")
    ChannelTypeHandleResponseObject checkLocationForYH(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) Integer outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "云海联通三要素检验接口 ")
    @PostMapping("/y00-lianTongCheck.do")
    ChannelTypeHandleResponseObject yhLianTongCheck(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);


    @ApiOperation(value = "云海电信三要素检验接口 ")
    @PostMapping("/y00-dianXinCheck.do")
    ChannelTypeHandleResponseObject yhDianXinCheck(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "云海联通在线时长接口 ")
    @PostMapping("/y00-lianTongOnlineTimeCheck.do")
    ChannelTypeHandleResponseObject lianTongOnlineTimeCheck(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);


    @ApiOperation(value = "云海联通在网状态接口 ")
    @PostMapping("/y00-lianTongOnlineStatusCheck.do")
    ChannelTypeHandleResponseObject lianTongOnlineStatusCheck(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);


    @ApiOperation(value = "移动在网状态查询")
    @PostMapping(value = "/checkCMCCMobileOnlineStatus.do")
    ChannelTypeHandleResponseObject checkCMCCMobileOnlineStatus(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime") int outTime,
            @RequestParam(name = "customBody") String customBody);

    @ApiOperation(value = "移动在网时长查询")
    @PostMapping(value = "/checkCMCCMobileOnlineTime.do")
    ChannelTypeHandleResponseObject checkCMCCMobileOnlineTime(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime") int outTime,
            @RequestParam(name = "customBody") String customBody);

    @ApiOperation(value = "联通手机话费平均评分接口 ")
    @PostMapping("/y001w1-lianTongCostScore.do")
    ChannelTypeHandleResponseObject lianTongCostScore(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "电信月消费金额接口")
    @PostMapping("/y001x1-dianXinMonthCost.do")
    ChannelTypeHandleResponseObject dianXinMonthCost(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "移动手机消费区间查询接口")
    @PostMapping("/Y002y1-queryMobileConsumeSection.do")
    ChannelTypeHandleResponseObject queryMobileConsumeSection(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) int outTime,
            @ApiParam(name = "地理位置json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody);
}
